body{ /* Pas de marge intérieure et extérieure sur le corps du site*/
  padding: 0%;
  margin :0;
  min-height: 100vh;
}

#sectiontitre{ /*Zone ou se trouve le titre ainsi que logo du site, couleur police blanche, utilisation police Boogaloo, displayflex pour pourvoir cohabiter avec le logo*/
    
    background-color: gray;

    font-size: 25px;
    color:white;
    display: flex;
    justify-content: center;
    p{
          font-family: "Boogaloo";
    }
}

#logo{ /*Position absolu (vérouillé) et inline block pour afficher sur le même ligne que le titre*/
  display: inline-block;
  justify-content: center;
  width: 80px;
  height: 80px;
  position: absolute;
}

#liens{ 
  font-family: "Roboto",sans-serif;
  background-color: lightgray;
  display: flex;
  vertical-align: middle;
  justify-content: center;
  font-size: 18px;
  padding: 10px;
}

#pub{ /*Défini le bandeau de pub, à droite, avec une bordre épaisse et un fond blanc pour éviter de voir le contenu derrière*/
  width: 10%;
  height: 450px;
  border: solid;
  float:right;
  position: relative;
  background-color: white;
  img{
    width: 100%;
  }
}

h1{ /*Titre H1, fond gris foncé + police gris clair*/
  background-color: gray;
  color: #EAECEC;
  font-family: "Roboto",sans-serif;
  padding: 10px;
}

p{ /*Texte de paragraphe justifié, pour un rendu plus professionnel et plus ergonomique*/
  font-family: "Roboto","sans-serif";
  text-align: justify;
}

h2{ /*Titre H2, fond gris foncé + police gris clair*/
  background-color: lightgray;
  font-family: "Roboto",sans-serif;
  padding: 5px;
}

h3{ /*Titre H2, fond gris clair + police gris foncé*/
  padding:5px;
  background-color: #EAECEC;
  font-family: "Roboto",sans-serif;
}

footer{ /*Définition du pied de page*/
  font-family: "Boogaloo";
  color:white;
  background-color: gray;
 text-align: center;
  width: 100%;
  bottom:0;
}

#titrearticle{ /*Définition du titre article, permet l'identification distinct de chaque article*/
  background-color: #EAECEC;
  em{
    font-family: "Roboto", "sans-serif";
    color: gray;
  }
}

#pageactu{ /*Identification de la page en cours*/
  text-align: center;
  background-color: #EAECEC;
  em{
    
    font-family: "Roboto", "sans-serif";
    color: black;
    
  }
}

#ca{ /*Colonne gauche de la page "Contact"*/
  width: 10%;
  display: inline-block;
}

#cb{ /*Colonne droite de la page "Contact"*/
  width: 78%;
  display: inline-block;
}

#cp{ /*Conteneur principal*/
  min-height: calc(100vh - 19px);
}

a{ /*Apprence du lien non visité*/
  color: black;
}

a:visited{ /*Apprence du lien visité*/
  color:black;
}

#ccp{ /*Conteneur des articles les + consultés et les 9 dernier articles*/
  width: 44%;
  a:hover{
    color: gray;
  }
}

#img_art{ /*Apparnce de l'image de l'article*/
  width: 100%;
}

@media screen and (max-width: 800px) { /*Cache le bandeau de pub si la taille de fenêtre devient inférieure à 800px*/
#pub{
  display: none;
}
}
  
